name: gcc
version: 9.1.0
release: 1
sources: https://ftp.gnu.org/gnu/gcc/gcc-%{version}/gcc-%{version}.tar.xz
dependencies:
	- gmp
	- mpfr
	- mpc
	- binutils

dirname: build
@configure
	set -e;
	mkdir %{dirname};
	cd %{dirname};
	sed -e '/m64=/s/lib64/lib/' -i.orig ../gcc-%{version}/gcc/config/i386/t-linux64;
	../gcc-%{version}/%{name} --prefix=/usr --libdir=/usr/lib --disable-multilib --disable-libssp --disable-libmpx --disable-libmudflap --disable-libsanitizer --disable-nls --disable-werror --enable-languages=c,c++ --target=x86_64-junk-linux-musl --%{dirname}=x86_64-junk-linux-musl --host=x86_64-junk-linux-musl

